Post a comment or reply on an activity
POST /api/learn/activities/{activityId}/comments. Post a comment or reply on an activity. Headless LMS Discussion API reference.
Path Parameters
activityId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/learn/activities/string/comments" \ -H "Content-Type: application/json" \ -d '{ "body": "string" }'{ "id": "string", "activityId": "string", "parentId": "string", "author": { "id": "string", "firstName": "string", "lastName": "string", "image": "string", "role": "owner" }, "body": "string", "status": "pending", "removedBy": { "id": "string", "firstName": "string", "lastName": "string", "image": "string", "role": "owner" }, "reactions": { "property1": 0, "property2": 0 }, "viewerReaction": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}